Package Details: masterpassword-gui 2.7.12-1

Git Clone URL: https://aur.archlinux.org/masterpassword-gui.git (read-only, click to copy)
Package Base: masterpassword-gui
Description: Java GUI for Master Password
Upstream URL: http://masterpasswordapp.com/
Licenses: GPL3
Submitter: ilpianista
Maintainer: ewirch
Last Packager: ewirch
Votes: 11
Popularity: 0.000119
First Submitted: 2016-04-24 14:01
Last Updated: 2021-03-05 07:57

Required by (0)

Sources (4)

Latest Comments

1 2 Next › Last »

acritely commented on 2020-12-14 18:48

@ewirch Thanks for responding to the comments. All I can report is that my error message described the same issue as reported by @donbex: ¨Creating the package fails because the source .jar file is downloaded to masterpassword-gui-2.7.10.jar, but the PKGBUILD expects masterpassword-gui.jar.¨

I was trying to install this AUR using yay: ´yay -S masterpassword-gui´ as su.

I no longer get the error because I manually installed this aur (it is just a couple of files so I put them in place and installed the .desktop file). When I run the yay command now I get a message that the files are already installed.

At this point I have found a workaround and don´t need support. I just wanted to document that I experienced the same issue as @donbex.

ewirch commented on 2020-12-14 15:20

@acritely, @donbex didn't post any error message. Please, 1. make sue you have the most recent version checked out: 2.7.10-3. If the error persists, 2. please post the error message.

acritely commented on 2020-12-14 12:45

@ewirch. I get the same error as @donbex reports. I am on a fresh manjaro install, not sure if that has to do with it.

ewirch commented on 2020-12-14 05:40

I can't confirm that. It builds fine for me. Which error message do you see, @acritely?

acritely commented on 2020-12-08 20:56

The PKGBUILD failure due to the jar name is back/still there.

ewirch commented on 2018-11-21 08:38

My bad. Sorry for that.

donbex commented on 2018-11-19 22:38

Creating the package fails because the source .jar file is downloaded to masterpassword-gui-2.7.10.jar, but the PKGBUILD expects masterpassword-gui.jar.

Either the source entry should be changed to:

"$pkgname.jar::<https://ssl.masterpasswordapp.com/>$pkgname-$pkgver.jar"

or the rest of the PKGBUILD should be changed for the new name:

noextract=("${pkgname}-${pkgver}.jar")

package() {
  install -d "${pkgdir}/usr/share/java/${pkgname}"
  install -m644 ${pkgname}-${pkgver}.jar "${pkgdir}/usr/share/java/${pkgname}/${pkgname}.jar"

ewirch commented on 2018-11-19 07:39

Hm... no. I re-ran makepkg -g and it generated the same SHA1 checksums. I guess you had a old masterpassword-gui.jar cached locally. I changed the source package to a versioned URL. Just retry.

theoldfellow commented on 2018-11-17 17:01

The sha1sum for the .jar file needs updating.

ilpianista commented on 2016-07-23 19:17

Fixed, thank you!